@import '../../styles/variables';
@import '../../styles/mixins';

.header {
  display: flex;
  align-items: center;
  transition: all 0.2s;
  cursor: pointer;
  padding: 24px 40px;

  .label {
    margin: 0 8px 0 16px;
    font-size: 1.5rem;
    font-weight: 400;
    color: $neutral-700;
    flex-grow: 1;
  }

  &:hover {
    background: $grey-50;
  }

  .expandLess,
  .expandMore {
    min-width: 32px;
    min-height: 32px;
  }

  .expandLess {
    color: $primary-500;
  }

  .expandMore {
    color: $neutral-400;
  }

  @include mobile {
    padding: 16px 20px;

    .label {
      margin: 0 8px;
      font-size: 1.125rem;
    }
  }
}
